astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- Gaia TAP+ (`astroquery.gaia`) »
- Conf

# Conf

class astroquery.gaia.Conf

  Bases: `ConfigNamespace`

  Configuration parameters for `astroquery.gaia`.

  Attributes Summary

  `MAIN_GAIA_TABLE` | GAIA source data table
  `MAIN_GAIA_TABLE_DEC` | Name of Dec parameter in table
  `MAIN_GAIA_TABLE_RA` | Name of RA parameter in table
  `ROW_LIMIT` | Number of rows to return from database query (set to -1 for unlimited).
  `VALID_DATALINK_RETRIEVAL_TYPES` |
  `VALID_LINKING_PARAMETERS` |

  Attributes Documentation

  MAIN_GAIA_TABLE

    GAIA source data table

  MAIN_GAIA_TABLE_DEC

    Name of Dec parameter in table

  MAIN_GAIA_TABLE_RA

    Name of RA parameter in table

  ROW_LIMIT

    Number of rows to return from database query (set to -1 for unlimited).

  VALID_DATALINK_RETRIEVAL_TYPES = ['EPOCH_PHOTOMETRY', 'XP_CONTINUOUS', 'XP_SAMPLED', 'RVS', 'MEAN_SPECTRUM_RVS', 'MCMC_GSPPHOT', 'MCMC_GSP_PHOT', 'MCMC_MSC', 'EPOCH_ASTROMETRY', 'EPOCH_SPECTRUM_RVS', 'EPOCH_ASTROMETRY_CROWDED_FIELD', 'EPOCH_PHOTOMETRY_CROWDED_FIELD', 'EPOCH_IMAGE', 'EPOCH_PHOTOMETRY_CCD', 'EPOCH_SPECTRUM_XP_SSO', 'EPOCH_SPECTRUM_XP_CROWDING', 'MEAN_SPECTRUM_XP', 'EPOCH_SPECTRUM_XP', 'CROWDED_FIELD_IMAGE', 'EPOCH_ASTROMETRY_BRIGHT', 'MEAN_SPECTRUM_XP_GRAVLENS', 'EPOCH_FLAGS_NSS', 'EPOCH_PARAMETERS_RVS_SINGLE', 'EPOCH_PARAMETERS_RVS_DOUBLE', 'EPOCH_FLAGS_VARI']
  VALID_LINKING_PARAMETERS = {'IMAGE_ID', 'SOURCE_ID', 'TRANSIT_ID'}